org.custommonkey.xmlunit.exceptions

## Class XMLUnitRuntimeException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - java.lang.RuntimeException
      - - org.custommonkey.xmlunit.exceptions.XMLUnitRuntimeException

All Implemented Interfaces:
  java.io.Serializable

Direct Known Subclasses:
  ConfigurationException

    public class XMLUnitRuntimeException
    extends java.lang.RuntimeException

Base class of any RuntimeException that can be thrown within XMLUnit.

See Also:
  Serialized Form

### Constructor Summary

Constructors
Constructor and Description
`XMLUnitRuntimeException(java.lang.String message)` Inititializes an exeption without cause.
`XMLUnitRuntimeException(java.lang.String message, java.lang.Throwable cause)` Inititializes the exeption.

### Method Summary

Methods
`java.lang.Throwable` `getCause()` Root cause of the exception, if any.

### Methods inherited from class java.lang.Throwable

`addSuppressed, fillInStackTrace, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### XMLUnitRuntimeException

    public XMLUnitRuntimeException(java.lang.String message,
                           java.lang.Throwable cause)

Inititializes the exeption.

Parameters:
  `message` - the detail message
  `cause` - the root cause of the exception

#### XMLUnitRuntimeException

    public XMLUnitRuntimeException(java.lang.String message)

Inititializes an exeption without cause.

Parameters:
  `message` - the detail message

### Method Detail

#### getCause

    public java.lang.Throwable getCause()

Root cause of the exception, if any.

Overrides:
  `getCause` in class `java.lang.Throwable`